Download it now!
Bug 80514 - FILEOPEN DOCX assertion while trying to open file
Summary: FILEOPEN DOCX assertion while trying to open file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All Linux (All)
: medium normal
Assignee: Vinaya Mandke
URL:
Whiteboard: have-backtrace target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-25 07:26 UTC by Vinaya Mandke
Modified: 2014-07-02 20:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Issue File (156.22 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-25 07:27 UTC, Vinaya Mandke
Details
Optimized file (36.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-25 07:27 UTC, Vinaya Mandke
Details
Stack Trace (6.84 KB, text/plain)
2014-06-25 07:28 UTC, Vinaya Mandke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinaya Mandke 2014-06-25 07:26:24 UTC
Steps to Reproduce:
1. Open file in LO

Observe that LO crashes file opening file

Analysis::-

LO crashes while trying to remove para in DomainMapper_Impl::RemoveDummyParaForTableInSection()
Comment 1 Vinaya Mandke 2014-06-25 07:27:03 UTC
Created attachment 101723 [details]
Issue File
Comment 2 Vinaya Mandke 2014-06-25 07:27:20 UTC
Created attachment 101724 [details]
Optimized file
Comment 3 Vinaya Mandke 2014-06-25 07:28:56 UTC
Created attachment 101725 [details]
Stack Trace
Comment 4 tommy27 2014-06-25 20:40:24 UTC
I can open file under Win7x64 using LibO 4.2.4.2 and 4.3.0.1.0+
Build ID: 52613b9b632721ebb5167a4d9529c242a0b907da
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-06-23_07:41:56
Comment 5 Terrence Enger 2014-06-25 22:33:01 UTC
I see the assertion in SwIndexReg::~SwIndexReg with master commit
dc795cb, fetched 2014-06-20 1642 UTC, configured
    --enable-option-checking=fatal
    --enable-dbgutil
    --enable-crashdump
    --without-system-postgresql
    --without-myspell-dicts
    --with-extra-buildid
    --without-doxygen
    --with-external-tar=/home/terry/lo_hacking/git/src
built and running on debian-wheezy 64-bit.
Comment 6 tommy27 2014-06-26 05:28:31 UTC
@Vinaya Mandke  
did you see this bug in Linux or Windows?
Comment 7 Vinaya Mandke 2014-06-26 06:18:24 UTC
(In reply to comment #6)
> @Vinaya Mandke  
> did you see this bug in Linux or Windows?

On Linux
Comment 8 Commit Notification 2014-06-30 14:57:39 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b00a59287e0b1dcc0a46dd18e5e884282eb859f3

fdo#80514 LO crashes on opening; tries to remove a para with NumPicBullet



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.